Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 816793 - Creating an LVM volume with a name containing "snapshot" crashes graphical installer
Summary: Creating an LVM volume with a name containing "snapshot" crashes graphical in...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 02:37 UTC by Scott Tadman
Modified: 2013-02-13 08:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 08:47:05 UTC


Attachments (Terms of Use)

Description Scott Tadman 2012-04-27 02:37:41 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
During the installation procedure alter the default partition layout of an LVM-enabled partition map and add an LVM volume containing the word "snapshot".
2.
Save and apply changes.
  
Actual results:

Installer crashes to text console with Python error. "snapshot" cannot be part of an LVM volume name but this information is not communicated here, only when attempting to replicate using lvcreate.

Expected results:

Installer should warn against using invalid names for LVM volumes.

Additional info:

I came across this inadvertently as the naming restrictions on LVM volumes are not made clear.

Comment 1 Chris Lumens 2012-04-27 17:33:17 UTC
Please attach the complete /tmp/anaconda-tb-* file to this bug report.  Thanks.

Comment 2 Scott Tadman 2012-04-28 04:25:14 UTC
I'll work to reproduce it on a VM and send you those files.

Comment 3 Fedora End Of Life 2013-01-16 10:13:49 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 08:47:08 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.